body{
    margin: 0;
    overflow: hidden;
}

main{
    padding-top: 80px;
    background: rgb(255, 202, 250);
    background: linear-gradient(27deg, rgba(255,207,0,1) 0%, rgba(255,0,230,1) 100%);
    overflow: scroll;
    height: var(--window-height);
    background: url('./assets/pattern.svg');
    background-repeat: no-repeat;
    background-size: cover;
}

main :last-child{
    margin-bottom: 150px;
}

header{
    height: 64px;
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 5px;
    width: 100%;
    background-color: rgba(0, 0, 0, 0.123);
    backdrop-filter: blur(10px);
    z-index: 100;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
}

.circle{
    width: 90%;
    height: 400px;
    margin: auto;
    margin-bottom: 1rem;
    border-radius: 50%;
    border: 3px solid black;
    background-color: transparent;
    background: url("https://www.pixelstalk.net/wp-content/uploads/2016/04/Mountain-view-HD-wallpapers-desktop.jpg");
    background-size: cover;
    transition: all 300ms linear;
    border-radius: 42% 58% 70% 30% / 45% 45% 55% 55%;
    animation: sliderShape 5s linear infinite;
}

.circle:hover{
    background-color: rgba(0, 0, 0, 0.123);
}

@keyframes sliderShape{
    0%,100%{
    border-radius: 42% 58% 70% 30% / 45% 45% 55% 55%;
      transform: translate3d(0,0,0) rotateZ(0.01deg);
    }
    34%{
        border-radius: 70% 30% 46% 54% / 30% 29% 71% 70%;
      transform:  translate3d(0,5px,0) rotateZ(0.01deg);
    }
    50%{
      transform: translate3d(0,0,0) rotateZ(0.01deg);
    }
    67%{
      border-radius: 100% 60% 60% 100% / 100% 100% 60% 60% ;
      transform: translate3d(0,-3px,0) rotateZ(0.01deg);
    }
  }